return {
  'MeanderingProgrammer/render-markdown.nvim',
  opts = {},
  dependencies = { 'nvim-treesitter/nvim-treesitter' },
  config = function()
    require('render-markdown').setup {
      enabled = true,
      heading = {
        width = 'block',
      },
      bullet = {
        right_pad = 1,
      },
      checkbox = {
        enabled = true,
        position = 'inline',
        unchecked = {
          icon = '👀',
          highlight = 'RenderMarkdownUnchecked',
        },
        checked = {
          icon = '✅',
          highlight = 'RenderMarkdownChecked',
        },
        custom = {
          doing = { raw = '[/]', rendered = '🔜', highlight = 'RenderMarkdownTodo' },
          cancelled = { raw = '[-]', rendered = '❌', highlight = 'RenderMarkdownBullet' },
        },
      },
    }
    vim.keymap.set('n', '<leader>rm', ':RenderMarkdown toggle<CR>', { silent = true })
  end,
}
